/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: EvalRateBootstrap.java 10:42:15 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.demo.mortgage.evalrate;

import javax.jbi.JBIException;
import javax.jbi.component.Bootstrap;
import javax.jbi.component.InstallationContext;
import javax.management.ObjectName;

import org.w3c.dom.DocumentFragment;

/**
 * Bootstrap class for the mortgage demonstration for the evaluation rate
 * service engine
 * 
 * @author ddesjardins - eBMWebsourcing
 * 
 */
public class EvalRateBootstrapImpl implements Bootstrap {

    private InstallationContext installContext;

    public void cleanUp() throws JBIException {
        
    }

    public ObjectName getExtensionMBeanName() {
        return null;
    }

    public void init(InstallationContext installContext) throws JBIException {
        this.installContext = installContext;
    }

    public void onInstall() throws JBIException {
        DocumentFragment f = installContext
            .getInstallationDescriptorExtension();
        if (f != null) {
            System.out
                .println("Bootstrap contained an installation extension : "
                    + f.getFirstChild().getNodeName());
        }
    }

    public void onUninstall() throws JBIException {
    }

}
